PUT https://external-api.lia.com.br/external_api/v1/payments/:id/status_transition
Body params
| Name | Description | Required | Type |
|---|---|---|---|
| status | Status you want to transit the payment to, can be paid or refunded | true | String |
This route is used for test purpose only, it can not be used on production.
How this route work
This route is used to simulate a payment or a refund so you can test your integration, this will also trigger any webhook related to the payment flow.
Example request
curl --location --request PUT 'https://external-api-sandbox.lia.com.br/external_api/v1/payments/904d2cee-fdd0-4d19-a01b-b5411d941b68/status_transition' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer token' \
--data '{
"status": "paid"
}'
Example response
{
"id": "904d2cee-fdd0-4d19-a01b-b5411d941b68",
"bill_id": "92f38674-4415-40ce-810d-92b12662590f",
"status": "paid",
"payment_method": "boleto",
"amount_cents": 8379,
"paid_amount_cents": 8379,
"refunded_amount_cents": 0,
"paid_at": "2023-07-23T23:59:59.999-03:00",
"refunded_at": null,
"installments": 1,
"barcode": "1234 5678",
"barcode_image_url": "https://boleto-images.lia.com.br/1234567890.png",
"expires_at": "2023-07-23T23:59:59.999-03:00",
"created_at": "2023-07-21T01:24:55.207-03:00",
"refused_reason": null,
"refused_reason_description": null,
"url": "https://pague.lia.com.br/parcela/pagamento?bill_id=92f38674-4415-40ce-810d-92b12662590f"
}